Subject: Re: [PATCH v2 2/2] alias: support non-alphanumeric names via subsection syntax

From: Junio C Hamano <[email-masked]>
Date: Mon, 23 Feb 2026 12:22:17 -0800

"Kristoffer Haugsbakk" <[email-masked]> writes:

> On Mon, Feb 23, 2026, at 10:29, Kristoffer Haugsbakk wrote:
>>>[snip]
>>
>> The HTML output shows the list continuation character (+).
>>
>>     + Note that the first word of an alias does not ...
>>
>>>  command. It can be a command-line option that will be passed into the
>>
>> And there are two more outside this context which I suspect are knock-ons?
>>
>>     + If the alias expansion is prefixed ..
>>
>>     ...
>>
>>     + * Shell commands will be executed ...
>>
>> See `Documentation/doc-diff master next`.
>>
>> • master: 7c02d39f (The 6th batch, 2026-02-20)
>> • next: 4a7958ca (Sync with 'master', 2026-02-20)
>>
>>> diff --git a/alias.c b/alias.c
>>>[snip]
>
> Sorry that I just replied to the first hit that I found in my
> inbox. This applies to the latest version which is in `next`.

And your fix is the [v7 5/4] <[email-masked]>?

Thanks for being careful.